Subject: Re: Using video memory on PS3 e.g. as SWAP?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 30 Jul 2007 09:34:24 +1000

On Sun, 2007-07-29 at 19:04 +0200, René Rebe wrote:
> Hi all,
> 
> looking at the PS3 as one of the few PowerPC workstation options the RAM
> is obviously quite limitted with just 256MB. I wonder if the 256MB of
> video memory can be mapped or at least be used as super-fast SWAP?
> 
> Or are there news regarding accessing the video chip from Linux beside
> the unaccelerated frame-buffer?

I can be mapped, and accessed directly with MMIO. Some folks did a
driver for that, not sure where about. It's fairly slow though. The
problem is that MMIO accesses to VRAM aren't fast. DMAs are supposed to
be but then, we don't have access to those.

Cheers,
Ben